// Copyright 2016 Orus.io. All rights reserved.

package main

import (
	"math/rand"
	"time"

	_ "github.com/lib/pq"
	_ "github.com/slicebit/qb/dialects/postgres"

	"xbus.io/xbus/cmd/xbusd/cmd"
	"xbus.io/xbus/utils/license"
)

func init() {
	rand.Seed(time.Now().UnixNano())
}

func main() {
	license.DisplayLicenseOnStart()
	license.SetupCmd(cmd.RootCmd)
	cmd.Execute()
}
