package cache

import (
	"xbus.io/go-xbus/v3/api"

	"xbus.io/xbus/storage"
)

func estateToPos(
	state storage.EnvelopeState,
) storage.EnvelopeReadPos {
	pos := storage.EnvelopeReadPos{
		Complete: state.Status == storage.EnvelopeStorageReceptionComplete,
		Events:   make(map[api.UUID]storage.EventReadPos),
	}
	for _, e := range state.Events {
		pos.Events[e.ID] = e.ReadPos
	}
	return pos
}
